int main(void)
{
    /* Builtin functions */
    double sin(double);

    /* Local variables */
    static double rint[2000] /* was [50][40] */,
                     f[2000] /* was [50][40] */;
    static int i__, j, m, n;
    static double x, y;
    extern int qtthd_c(double *, double *, double *, double *, int *, int *);
    static double h1, h2;

#define rint_ref(a_1,a_2) rint[(a_2)*50 + a_1 - 51]
#define f_ref(a_1,a_2) f[(a_2)*50 + a_1 - 51]

    h1 = .064114081632653058;
    h2 = .08055358974358974;
    n = 50;
    m = 40;
    y = 0.;
    for (j = 1; j <= 40; ++j) {
        x = y;
        for (i__ = 1; i__ <= 50; ++i__) {
            f_ref(i__, j) = sin(x);
/* L1: */
            x += h1;
        }
/* L2: */
        y += h2;
    }
    qtthd_c(rint, &h1, &h2, f, &n, &m);

        printf("\n  %24.14e %24.14e %24.14e %24.14e \n",
            rint_ref(1, 1), rint_ref(2, 2), rint_ref(n-1, m), rint_ref(n, m));
    return 0;
} /* main */

#undef f_ref
#undef rint_ref
